Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1340559 - [RFE] Add ability to Sort Content Hosts by additional column headers in WebUI
Summary: [RFE] Add ability to Sort Content Hosts by additional column headers in WebUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1479962
TreeView+ depends on / blocked
 
Reported: 2016-05-27 21:23 UTC by Dylan Gross
Modified: 2021-03-11 14:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:35:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Dylan Gross 2016-05-27 21:23:30 UTC
1. Proposed title of this feature request

 Add ability in the WebUI to click on Content Host column headers and sort the Content Hosts by:  Date Registered, Content View, Environment, OS, Subscription Status - similar to ability to sort by "Last Checkin"

2. Who is the customer behind the request?

Account name: (Acct. # )
SRM customer: yes/no
TAM customer: yes/no
Strategic Customer: yes/no

 
[short description/introduction of customer]

 

3. What is the nature and description of the request?

 Customer would like the ability to sort Content Hosts by:  Date Registered, Content View, Environment, OS, Subscription Status - similar to ability to sort by "Last Checkin".   


4. Why does the customer need this? (List the business requirements here)

 For ease of managing Content Hosts.

5. How would the customer like to achieve this? (List the functional requirements here)

  Similar to the ability to sort by "Last Checkin" on the "Hosts" -> "Content Hosts" page, adding the ability to toggle between an Ascending and Descending Sort for the column values.
 

6. For each functional requirement listed in question 5, specify how Red Hat

and the customer can test to confirm the requirement is successfully implemented.

   Click on the column header and the data is sorted by that column 


7. Is there already an existing RFE upstream or in Red Hat bugzilla?

   I don't believe so.

8. Does the customer have any specific timeline dependencies?

   No.


9. Is the sales team involved in this request and do they have any additional input?

   Yes, Involved.   No additional input.


10. List any affected packages or components.

 

11. Would the customer be able to assist in testing this functionality if implemented?

    Yes.

Comment 5 Bryan Kearney 2017-08-09 15:39:55 UTC
VERFIED
Version Tested: Satellite 6.3, Snap 10
RPM Versions: 

satellite-cli-6.3.0-16.0.beta.el7sat.noarch
satellite-installer-6.3.0.3-1.beta.el7sat.noarch
satellite-6.3.0-16.0.beta.el7sat.noarch
tfm-rubygem-foreman_theme_satellite-1.0.4-1.el7sat.noarch


Logged into a machine with 4 content hosts. I sorted on all columns (Including OS) and noticed that the sort order was correct.

Comment 14 errata-xmlrpc 2018-02-21 12:35:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.